#!/bin/sh
rm -f *.class
rm -f *.jar

javac -cp . *.java 

jar -cvf kworld.jar *.class \
        images/characters/krabbit_down.png images/characters/krabbit_up.png images/characters/krabbit_left.png images/characters/krabbit_right.png \
        images/tiles/sign_post.png images/tiles/treeobj.png images/tiles/world.png \
        maps/forest1.map maps/forest2.map maps/town1.map maps/town2.map maps/world.map \
        images/interface/interface.png images/interface/race_tab.png images/interface/create.png images/interface/kplanet.png \
        images/characters/spritef_down.png images/characters/spritef_up.png images/characters/spritef_left.png images/characters/spritef_right.png \
        images/characters/humanf_down.png images/characters/humanf_up.png images/characters/humanf_left.png images/characters/humanf_right.png \
        images/characters/impf_down.png images/characters/impf_up.png images/characters/impf_left.png images/characters/impf_right.png \
        images/characters/krabbitm_down.png images/characters/krabbitm_up.png images/characters/krabbitm_left.png images/characters/krabbitm_right.png \
        images/characters/spritem_down.png images/characters/spritem_up.png images/characters/spritem_left.png images/characters/spritem_right.png \
        images/characters/humanm_down.png images/characters/humanm_up.png images/characters/humanm_left.png images/characters/humanm_right.png \
        images/characters/impm_down.png images/characters/impm_up.png images/characters/impm_left.png images/characters/impm_right.png


#jarsigner kworld.jar yourkey
