//import java.util.Vector;
//import java.util.Hashtable;
//import java.util.Enumeration;

public final class locationManager {

	private static final int MAXLOCATIONS = 5;

	private int [] locations;
	private int [] locationCounts;
	
	locationManager() {
		locations = new int[MAXLOCATIONS];
		locationCounts = new int[MAXLOCATIONS];
		for (int i = 0; i < MAXLOCATIONS; i++) {
			locations[i] = i;
			locationCounts[i] = 0;
		}
	}
	
	public boolean validLocation(int location)
	{
		for (int i = 0; i < MAXLOCATIONS; i++) {
			if (locations[i] == location)
				return true;
		}
		return false;
	}
	
	public boolean addPlayer(int location)
	{
		for (int i = 0; i < MAXLOCATIONS; i++) {
			if (locations[i] == location) {
				locationCounts[i]++;
				return true;
			}
		}
		return false;
	}
	
	public void delPlayer(int location)
	{
		for (int i = 0; i < MAXLOCATIONS; i++) {
			if (locations[i] == location) {
				locationCounts[i]--;
				if (locationCounts[i] < 0)
					locationCounts[i] = 0;
				break;
			}
		}
	}
}
