import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

public class createChar implements MouseListener {

	private boolean createComplete = false;
	private Image backGround;
	private Image raceImage;
	private Image titleScreen;
	private sprite sprites;
	
	public String name;
	
	public int currentRace;
	
	private kworldClient client;
	private kworld KW;
	
	private boolean atTitleScreen;
	
	public createChar(kworld kw, Component comp, sprite sprites, kworldClient kwc, Image backGround, Image raceImage, Image titleScreen)
	{
		//set default for now
		name = "";
		//set default for now
		
		KW = kw;
		
		atTitleScreen = true;
		
		client = kwc;

		currentRace = 0;
		comp.setFont(new Font("Verdana", Font.PLAIN, 14));
		comp.setForeground(Color.black);
		comp.addMouseListener((MouseListener) this);
		this.backGround = backGround;
		this.raceImage = raceImage;
		this.sprites = sprites;
		this.titleScreen = titleScreen;
	}
	
	public boolean createCharacter(Graphics g)
	{
		if (atTitleScreen) {
			g.drawImage(titleScreen, 0 , 0, null);
			return true;
		}
		if (!createComplete) {
			if (KW.wasEnter() && !name.equals("Who") && !name.equals("server")) {
				if (name.length() > 0) {
					createComplete = true;
                	client.name = name;
                	client.connect();
				}
			} else if (KW.wasBackSpace()) {
				int endIndex = name.length() -1;
				if (endIndex < 0)
					endIndex = 0;
				name = name.substring(0, endIndex);
			} else {
				char key = KW.getLastKeyTyped();
				if (key != '\0' && name.length() < 10)
					name += key;
			}
			g.drawImage(backGround, 0 , 0, null);
			g.drawImage(raceImage, 400 , 40, null);
			
			String raceName = "krabbit female";
			int x = 295;
			switch(currentRace) {
				case 0: raceName = "krabbit female"; x = 295; break;
				case 1: raceName = "sprite female"; x = 305; break;
				case 2: raceName = "human female" ; x = 305; break;
				case 3: raceName = "imp female"   ; x = 305; break;
				case 4: raceName = "krabbit male"  ; x = 295; break;
				case 5: raceName = "sprite male"  ; x = 305; break;
				case 6: raceName = "human male"   ; x = 305; break;
				case 7: raceName = "imp male"     ; x = 305; break;
			}
			g.drawString(raceName, 440, 82);
			
			sprites.drawMainPlayer(x, 280, g);
			
			g.drawString(name, 240, 400);
		}
		return !createComplete;
	}
	
	public void mouseClicked(MouseEvent e) {
		// TODO Auto-generated method stub
		//System.out.println("x " + e.getX() + " y " + e.getY());
		if (atTitleScreen) {
			atTitleScreen = false;
			return;
		}
		if (!createComplete) {
            if (e.getY() > 45 && e.getY() < 67) {
                if (e.getX() > 406 && e.getX() < 429) {
                    currentRace--;
                    if (currentRace < 0)
                        currentRace = 7;
                    sprites.setRace(currentRace);
                } else if (e.getX() > 546 && e.getX() < 568) {
                    currentRace++;
                    if (currentRace > 7)
                        currentRace = 0;
                    sprites.setRace(currentRace);
                }
            } else if (e.getY() > 439 && e.getY() < 457 &&
                     	e.getX() > 288 && e.getX() < 354) {
            	if (name.length() > 0) {
            		createComplete = true;
                	client.name = name;
                	client.connect();
            	}
            }
		} else {
			if (e.getY() > 385 && e.getY() < 395 &&
                e.getX() > 94 && e.getX() < 107) {
				client.setChatPos(client.getChatPos()-1);
			} else if (e.getY() > 431 && e.getY() < 442 &&
						e.getX() > 94 && e.getX() < 107) {
				client.setChatPos(client.getChatPos()+1);
			}
		}
	}

	public void mouseEntered(MouseEvent e) {
		// TODO Auto-generated method stub
		
	}

	public void mouseExited(MouseEvent e) {
		// TODO Auto-generated method stub
		
	}

	public void mousePressed(MouseEvent e) {
		// TODO Auto-generated method stub
		
	}

	public void mouseReleased(MouseEvent e) {
		// TODO Auto-generated method stub
		
	}
}
